# Ticker Information

{% hint style="info" %}
When subscribing, the `pair should` be set in **alphanumeric format only**. Do not use separators between the base and quote asset. The correct format for NIZA/USDT to be set in a channel name is `NIZAUSDT`.
{% endhint %}

### Subscribe with Pusher

```javascript
var channel = pusher.subscribe("ticker-information.{pair}");
```

### Subscribe Request Payload

```json
{
   "event": "pusher:subscribe",
   "data": {
       "channel": "ticker-information.{pair}"
   }
}
```

### Examples

<details>

<summary>Pusher</summary>

```javascript
var channel = pusher.subscribe("ticker-information.NIZAUSDT");
```

</details>

<details>

<summary>WebSocket API in Javascript</summary>

```javascript
const message = {
        event: "pusher:subscribe",
        data: {
            channel: "ticker-information.NIZAUSDT"
        }
    };
socket.send(JSON.stringify(message));
```

</details>

### Payload

| Name             | Type    | Description                           |
| ---------------- | ------- | ------------------------------------- |
| channel          | string  | Channel name of subscription          |
| type             | string  | Type of event notification            |
| data             | array   | The payload of the ticker information |
| data.ask         | decimal | Best ask price                        |
| data.ask\_qty    | decimal | Best ask quantity                     |
| data.bid         | decimal | Best bid price                        |
| data.bid\_qty    | decimal | Best bid quantity                     |
| data.change      | decimal | 24-hour price change (quote currency) |
| data.change\_ptc | decimal | 24-hour price change in percentage    |
| data.high        | decimal | 24-hour highest trade price           |
| data.last        | decimal | Last trade price                      |
| data.low         | decimal | 24-hour lowest trade price            |
| data.symbol      | string  | The symbol of the currency pair       |
| data.volume      | decimal | 24-hour trade volume in base currency |
| data.vwap        | decimal | 24-hour volume weighted average price |

### **Example of the ticker event payload received as JSON**

```json
{
   "channel": "ticker",
   "type": "update",
   "data": [
       {
           "ask": "0.01000000",
           "ask_qty": "2.00000000",
           "bid": "0.01000000",
           "bid_qty": "428.00000000",
           "change": "0.00000000",
           "change_pct": "0.00000000",
           "high": "0.00000000",
           "last": "0.00000000",
           "low": "0.00000000",
           "symbol": "NIZA\/USDT",
           "volume": "0.00000000",
           "vwap": "0.00000000"
       }
   ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.niza.io/websocket-api-1.0/public-channels/ticker-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
